package com.bonus.canteen.core.marketing.coupon.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.bonus.canteen.core.marketing.coupon.dto.GroupByCouponStateDto;
import com.bonus.canteen.core.marketing.coupon.vo.MktCouponMobileVO;
import io.swagger.annotations.ApiModelProperty;
import java.util.Iterator;
import java.util.List;

public class MktGroupVo {
   @ApiModelProperty("未生效")
   private Integer notTakeEffect;
   @ApiModelProperty("未使用")
   private Integer notUse;
   @ApiModelProperty("已使用")
   private Integer used;
   @ApiModelProperty("已过期")
   private Integer expired;
   @ApiModelProperty("已作废")
   private Integer cancellation;
   private Page<MktCouponMobileVO> page;

   public void putNum(List<GroupByCouponStateDto> groupByCouponState) {
      Iterator var2 = groupByCouponState.iterator();

      while(var2.hasNext()) {
         GroupByCouponStateDto groupByCouponStateDto = (GroupByCouponStateDto)var2.next();
         switch (groupByCouponStateDto.getCouponState()) {
            case 1:
               this.notTakeEffect = groupByCouponStateDto.getNum();
               break;
            case 2:
               this.notUse = groupByCouponStateDto.getNum();
               break;
            case 3:
               this.used = groupByCouponStateDto.getNum();
               break;
            case 4:
               this.expired = groupByCouponStateDto.getNum();
               break;
            case 5:
               this.cancellation = groupByCouponStateDto.getNum();
         }
      }

   }

   public Integer getNotTakeEffect() {
      return this.notTakeEffect;
   }

   public Integer getNotUse() {
      return this.notUse;
   }

   public Integer getUsed() {
      return this.used;
   }

   public Integer getExpired() {
      return this.expired;
   }

   public Integer getCancellation() {
      return this.cancellation;
   }

   public Page<MktCouponMobileVO> getPage() {
      return this.page;
   }

   public void setNotTakeEffect(final Integer notTakeEffect) {
      this.notTakeEffect = notTakeEffect;
   }

   public void setNotUse(final Integer notUse) {
      this.notUse = notUse;
   }

   public void setUsed(final Integer used) {
      this.used = used;
   }

   public void setExpired(final Integer expired) {
      this.expired = expired;
   }

   public void setCancellation(final Integer cancellation) {
      this.cancellation = cancellation;
   }

   public void setPage(final Page<MktCouponMobileVO> page) {
      this.page = page;
   }

}
